Holders (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class Holders

    java.lang.Object
      grails.util.Holders

    public class Holders
    extends java.lang.Object

Authors:
  Burt Beckwith

Since:
  2.0

Method Summary
`static void` | `clear()`
`static GrailsPluginManager` | `currentPluginManager()`
`static org.springframework.context.ApplicationContext` | `findApplicationContext()` @return The ApplicationContext or null if it doesn't exist
`static org.springframework.context.ApplicationContext` | `getApplicationContext()`
`static groovy.util.ConfigObject` | `getConfig()`
`static java.util.Map` | `getFlatConfig()`
`static GrailsApplication` | `getGrailsApplication()`
`static GrailsPluginManager` | `getPluginManager()`
`static GrailsPluginManager` | `getPluginManager(boolean mappedOnly)`
`static GrailsResourceLoader` | `getResourceLoader()`
`static GrailsResourceLoader` | `getResourceLoader(boolean mappedOnly)`
`static javax.servlet.ServletContext` | `getServletContext()`
`static void` | `reset()`
`static void` | `setConfig(groovy.util.ConfigObject config)`
`static void` | `setGrailsApplication(GrailsApplication application)`
`static void` | `setPluginManager(GrailsPluginManager pluginManager)`
`static void` | `setPluginManagerInCreation(boolean inCreation)`
`static void` | `setResourceLoader(GrailsResourceLoader resourceLoader)`
`static void` | `setServletContext(javax.servlet.ServletContext servletContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    public static void clear()

### currentPluginManager

    public static GrailsPluginManager currentPluginManager()

### findApplicationContext

    public static org.springframework.context.ApplicationContext findApplicationContext()

  Returns:
    The ApplicationContext or null if it doesn't exist

### getApplicationContext

    public static org.springframework.context.ApplicationContext getApplicationContext()

### getConfig

    public static groovy.util.ConfigObject getConfig()

### getFlatConfig

    public static java.util.Map getFlatConfig()

### getGrailsApplication

    public static GrailsApplication getGrailsApplication()

### getPluginManager

    public static GrailsPluginManager getPluginManager()

### getPluginManager

    public static GrailsPluginManager getPluginManager(boolean mappedOnly)

### getResourceLoader

    public static GrailsResourceLoader getResourceLoader()

### getResourceLoader

    public static GrailsResourceLoader getResourceLoader(boolean mappedOnly)

### getServletContext

    public static javax.servlet.ServletContext getServletContext()

### reset

    public static void reset()

### setConfig

    public static void setConfig(groovy.util.ConfigObject config)

### setGrailsApplication

    public static void setGrailsApplication(GrailsApplication application)

### setPluginManager

    public static void setPluginManager(GrailsPluginManager pluginManager)

### setPluginManagerInCreation

    public static void setPluginManagerInCreation(boolean inCreation)

### setResourceLoader

    public static void setResourceLoader(GrailsResourceLoader resourceLoader)

### setServletContext

    public static void setServletContext(javax.servlet.ServletContext servletContext)

Groovy Documentation